<?php

// if uninstall.php is not called by WordPress, die
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	die();
}

if ( 'yes' === get_option( 'wps_wc_autoresponder_uninstall_settings', 'no' ) ) {
	global $wpdb;

	// Delete options.
	$wpdb->query( "DELETE FROM {$wpdb->options} WHERE option_name LIKE 'wps\_wc\_autoresponder\_%';" );

	// Delete posts meta.
	$wpdb->query( "DELETE FROM {$wpdb->postmeta} WHERE meta_key LIKE 'wps\_wc\_autoresponder\_%';" );

	// Clear any cached data that has been removed.
	wp_cache_flush();
}
